4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.AttributeValueTemplate

Implementation of XSLT attribute value templates
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AttributeValueTemplate |  |  |  | Fields: g_braceSplitPattern, g_parser

## Classes

class AttributeValueTemplate

### Methods

__init__(self, source, validator=None, element=None)
__nonzero__(self)
evaluate(self, context)
isConstant(self)

## Fields

g_braceSplitPattern = <_sre.SRE_Pattern object>
Compiled regular expression objects
g_parser = <Ft.Xml.XPath.XPathParser object>
XPathParser([debug]) -> parser Create a new parser object.
The optional debug argument, when true, enables the builtin trace facility.
The trace facility uses stderr to display each step taken by the parser.